local file = io.open("bebad.txt", "r")
local str = file:read("*all")
file:close()

str = str:gsub("\13\10", "\10") -- convert win CRLF to unix LF

local font = TTFont.new("Roboto-Regular.ttf", 16)

local tw = TextWrap2.new(str, 320, 480, 18, font)

stage:addChild(tw)

local shape = Shape.new()
shape:setLineStyle(1, 0x000000)
shape:beginPath()
shape:moveTo(0, 0)
shape:lineTo(320-1, 0)
shape:lineTo(320-1, 480-1)
shape:lineTo(0, 480-1)
shape:closePath()
shape:endPath()
stage:addChild(shape)

local y = 0
local sy = 0

local function onMouseDown(event)
	sy = event.y
end

local function onMouseMove(event)
	local dy = sy - event.y
	y = y + dy
	sy = event.y
	tw:setScrollPosition(0, y)
end

local function onMouseUp(event)

end

stage:addEventListener(Event.MOUSE_DOWN, onMouseDown)
stage:addEventListener(Event.MOUSE_MOVE, onMouseMove)
stage:addEventListener(Event.MOUSE_UP, onMouseUp)

local function onEnterFrame()
	y = y + 0.5
	tw:setScrollPosition(0, y)
end

stage:addEventListener(Event.ENTER_FRAME, onEnterFrame)
